<?php
$title = 'Добавить товар в корзину';
include_once($_SERVER["DOCUMENT_ROOT"].'/php/style/head.php');
$_GET['id'] = abs(intval($_GET['id']));
$query = $db->query("SELECT * FROM `products` WHERE `id`='".$_GET['id']."'");
if($query->num_rows == 0){
	header('location:/main');
}
$product = $query->fetch_assoc();
$cat = $db->query("SELECT * FROM `categories` WHERE `id`='".$product['id_categorie']."'")->fetch_assoc();
if(isset($_POST['yes'])){
	if($_POST['col'] <= 0){
		header('location:/');
		// Отрицательное или нулевое значения кол-ва
	}
	$db->query("INSERT INTO `cart` SET `id_user`='".$user['id']."', `time`='".time()."', `id_product`='".$_GET['id']."', `col`='".$_POST['col']."'");
	header('location:/cart');
}else if(isset($_POST['no'])){
	header('location:/product/'.$_GET['id']);
}
?>
<div class="container theme-showcase" role="main">
	<div class="jumbotron" style="background-color: white;">
		<h1>Добавление товара в корзину</h1>
		<div class="page-header">
			<ol class="breadcrumb">
				<li><a href="/categories">Разделы</a></li>
				<?
		  			if($cat['podkat'] != 0){
		  				$tcat = $cat['podkat'];
		  				while($tcat != 0){
		  					$kcat = $db->query("SELECT * FROM `categories` WHERE `id`='".$tcat."'")->fetch_assoc();
		  					?>
		  					<li><a href="/categories/<?=$kcat['id']?>"><?=output($kcat['name'])?></a></li>
		  					<?php
		  					$tcat = $kcat['podkat'];
		  				}
		  			}
		  			?>
		  		<li><a href="/categories/<?=$cat['id']?>"><?=output($cat['name'])?></a></li>
				<li class><a href="/product/<?=$product['id']?>"><?=output($product['name'])?></a></li>
				<li class="active">Добавление в корзину</li>
			</ol>
		</div>
		<p>Вы действительно хотите добавить в корзину товар "<b><a href="/product/<?=$product['id']?>"><?=output($product['name'])?></a></b>"?</p>
		<form action="" method="POST">
			<div class="form-row">
				<div class="form-group">
					<label for="inputCol">Кол-во товара</label>
					<input type="number" class="form-control" placeholder="Введите название товара" rows="5" name="col" id="inputCol" value="1">
				</div>
				<button type="submit" class="btn btn-success btn-lg" name="yes">Да</button>
				<button type="submit" class="btn btn-danger btn-lg" name="no">Нет</button>
			</div>
		</form>
	</div>
</div>
<?
include_once($_SERVER["DOCUMENT_ROOT"].'/php/style/foot.php');
?>
